Subject: Re: oldhand cygwinner needed: RE: __errno_location() like functionality in Cygwin
From: "Robert Collins" <[email-masked]>
To: "Dmitry Timoshkov" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 4 May 2001 18:28:35 +1000

----- Original Message -----
From: "Dmitry Timoshkov" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, May 04, 2001 7:23 PM
Subject: Re: oldhand cygwinner needed: RE: __errno_location() like
functionality in Cygwin

> First of all, thank you very much for your reply.
>
> "Robert Collins" <[email-masked]> wrote:
>
> [...]
>
> I'm not writing a threaded application, I'm going to port an existing
one,
> which contains a lot of lines of code. Moreover, interoperability with
the
> existing application is one of the requirements: i.e. bug fixes and
improvements
> from the one side should be easy applied to another one. That
application
> uses only those libc calls which are supposedly thread safe, and has
no
> any problems running in Linux. Having thread local errno variable is
enough.

Fair enough.

> > > The second method requires to assign _impure_ptr to the
> > > pointer of thread local reent
> > > structrure before EVERY libc call. Am I understand it correctly?
> >
> > Uhmm, I have no idea what you mean here. You should have _no_ static
> > variables that are unguarded (ie don't use mutexs) and all global
> > structs should have their access guarded.
>
> From the info regarding reentrancy in libc:

Which libc? And the internal programmers guide or the users guide?

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple